uk.gov.hmrc.ct.ct600j.v3.retriever

# CT600JBoxRetriever

###
Related Doc: package retriever

#### trait CT600JBoxRetriever extends BoxRetriever

Self Type
  CT600JBoxRetriever with AboutThisReturnBoxRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CT600JBoxRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def generateValues: Map[String, CtValue[_]]

   Definition Classes
     BoxRetriever

2. #### abstract def j10(): J10

3. #### abstract def j10A(): J10A

4. #### abstract def j15(): J15

5. #### abstract def j15A(): J15A

6. #### abstract def j20(): J20

7. #### abstract def j20A(): J20A

8. #### abstract def j25(): J25

9. #### abstract def j25A(): J25A

10. #### abstract def j30(): J30

11. #### abstract def j30A(): J30A

12. #### abstract def j35(): J35

13. #### abstract def j35A(): J35A

14. #### abstract def j40(): J40

15. #### abstract def j40A(): J40A

16. #### abstract def j45(): J45

17. #### abstract def j45A(): J45A

18. #### abstract def j5(): J5

19. #### abstract def j50(): J50

20. #### abstract def j50A(): J50A

21. #### abstract def j5A(): J5A

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def j1(): J1

13. #### def j2(): J2

14. #### def j3(): J3

15. #### def j4(): J4

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]

    Definition Classes
      BoxRetriever

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped